Zone filemanager List
Zone filemanager List
curl -X GET "https://api.5centscdn.com/v2/zones/vod/push/42/filemanager/list?dir=example_string&query=example_string&marker=example_string&end_marker=example_string" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/push/42/filemanager/list?dir=example_string&query=example_string&marker=example_string&end_marker=example_string"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/push/42/filemanager/list?dir=example_string&query=example_string&marker=example_string&end_marker=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/zones/vod/push/42/filemanager/list?dir=example_string&query=example_string&marker=example_string&end_marker=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/push/42/filemanager/list?dir=example_string&query=example_string&marker=example_string&end_marker=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"zoneFileManagerList": [
{
"type": "dir",
"name": "http"
}
]
}
GET
/zones/vod/push/{zoneid}/filemanager/listGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
query
dirstring
Enter directory name
query
querystring
search by filename
query
markerstring
Set the marker parameter to the name of the last item returned in the previous list.
query
end_markerstring
Limits the result set to names that are less than the end_marker parameter value.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Query Parameters
dirstring
Enter directory name
querystring
search by filename
markerstring
Set the marker parameter to the name of the last item returned in the previous list.
end_markerstring
Limits the result set to names that are less than the end_marker parameter value.
Responses
zoneFileManagerListarray
typestring
Zone type identifier (push or pull)
namestring
Human-readable name of the resource
Was this page helpful?